Last modified: 2014-09-26 01:10:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43150 - Commons uploads: Support automatic conversion of video formats to free formats
Commons uploads: Support automatic conversion of video formats to free formats
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
TimedMediaHandler (Other open bugs)
master
All All
: Low enhancement (vote)
: ---
Assigned To: Michael Dale
:
Depends on:
Blocks: commons multimedia
  Show dependency treegraph
 
Reported: 2012-12-15 02:32 UTC by SJ
Modified: 2014-09-26 01:10 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description SJ 2012-12-15 02:32:58 UTC
As with bug 43149: Allow MPEG and WMV uploads to Commons:  transparently convert to the preferred free media format and return that as the final file (and filename extension) on Commons.  (For bonus points: support conversion out of RM format as well)

This will add support for the vast majority of all video files in existence, and will allow people who don't understand what "transcode" means from sharing free media with the world.

The Internet Archive provides this service if we don't want to run converters ourselves; we simply have to handle the pipelining to and from IA, who would be happy to see that traffic (and host a copy of the files to boot).
Comment 1 Dereckson 2012-12-15 02:41:11 UTC
Moving to MediaWiki product, as this is not related to the Commons configuration but to the files handling source code.
Comment 2 SJ 2012-12-15 04:47:07 UTC
(In reply to comment #1)
> Moving to MediaWiki product, as this is not related to the Commons
> configuration but to the files handling source code.

See my comment on bug 43154 : the most general solution may involve a bit of touching the default file-handling code in MediaWiki, but the simplest solution could just involve changing the Commons-specific file-upload interface.
Comment 3 Bawolff (Brian Wolff) 2012-12-15 21:40:23 UTC
This is a TMH issue. I believe its in the plans for the future. There's probably already a bug for this.
Comment 4 Quim Gil 2013-04-24 16:20:32 UTC
Just a note to say that user Wywin as submitted a GSoC proposal related to this report:

https://www.mediawiki.org/wiki/User:Wywin/mediaConvert
Comment 5 Michael Dale 2013-04-24 18:10:48 UTC
Note this is supported in TMH:
http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Platform_testing

This is mostly an issue of community feature consensuses. The development effort is mostly complete, involves changing the transcodes configuration option and more testing.
Comment 6 Brion Vibber 2013-09-29 14:23:13 UTC
Can this be closed out now, or does it need to be repurposed to an 'enable on Wikimedia sites' bug?
Comment 7 Bawolff (Brian Wolff) 2013-09-29 15:02:42 UTC
I think the original request was to convert the file and throw away the original asset, not to transcode the unfree format. (Not sure if that's a good idea, but I don't think that is what tmh does)
Comment 8 Brion Vibber 2013-09-29 15:18:56 UTC
Throwing away original files is never good... I'd give that a solid wontfix.
Comment 9 Michael Dale 2013-09-29 16:12:34 UTC
Correct. The TMH implementation for auto conversion does encode webm from MPEG-4, it does not throw away or hide originals.
Comment 10 Quim Gil 2013-09-30 15:53:57 UTC
The request is "Allow MPEG and WMV uploads to Commons:  transparently
convert to the preferred free media format and return that as the final file
(and filename extension) on Commons."

The important bit is to allow users to upload videos in non-free formats as opposed to forcing them to do the conversion before uploading.
Comment 11 Kelson [Emmanuel Engelhart] 2013-11-06 09:17:44 UTC
Implementing this would certainly be a useful new feature for end users.

Unfortunately, if we do this, we will have to deal with a range of new problems:

* We work to encourage creation and sharing of free content. This works well with "free/open formats". If we start to support "priopriatery formats", we will somehow fail to encourage the free/open one.

* We wouldn't store the original file anymore. This would be a switch in the Media handling approach and my feeling: this stinks.

* If we support "propriatery format/codec", we will have to store a re-encoded version of this file (as original file) and for this reason we will systematicaly loose in quality.

* Maintenance work will grow. Assuming, we simply use the ffmpeg, this should be relatively easy to maintain. But, if for some reason, ffmpeg has some "legal problems" with "propriatery formats", then we will be impacted too.

All in one, I'm not convinced at all that this would be a good move. IMO, instead of supporting propriatery technologies, we should continue to improve our documentation, help if we can to improve free tools like for example Firefogg.
Comment 12 Jean-Fred 2013-11-11 18:22:25 UTC
Not sure how much it is relevant, but this came under my radar today:

<http://devcomo.2013.nodeknockout.com/about>

FFmpeg compiled into JavaScript (using Emscripten). Could theoretically transcode whatever file is thrown by the uploader into WebM.
Comment 13 Michael Dale 2013-11-11 18:43:09 UTC
impressive, is there anything javascript ~can't~ do ;) p.s I could not get the demos to work but I am sure it could work ;) 

We have firefogg.org which somewhat similar to this, and integrated into upload wizard, though it runs as a firefox extention with native ffmpeg rather then cross compiled into javascript ;) Which I am sure a wee bit faster. 

It not a good user experience to have to encode in browser before the asset is ingested, we lose archival quality, it take a lot longer time for HD content uploads, and we really don't get around the patent issues per say if you're directly hosting this js file for example.
Comment 14 Bawolff (Brian Wolff) 2014-01-16 05:32:15 UTC
For those following this bug: https://commons.wikimedia.org/wiki/Commons:Requests_for_comment/MP4_Video
Comment 15 SJ 2014-09-25 20:22:10 UTC
Update: during Wikimania there was discussion among a couple MW devs (thanks, Brion) and Alexis @ the Internet Archive to enable automatic conversion to free formats in something like the following way:

At the upload stage, when detecting a non-free video format
 - Ask for basic title/source information
 - Inform the uploader that [Commons] does not accept that format because it is non-free, and that the Internet Archive will automatically convert it to a free format. 
 - Pass the file handle to IA, upload there with the same title & metadata
 - Wait for IA's transcoding to finish, grab the URL of the .webm version
 - Insert that into the TMH upload and continue. 

This would address Kelson's concerns, and the concerns raised in the MP4 rfc.  IA stores the original, maintains ffmpeg and related code, and handles the conversion.  We include a link back to IA in our file description, to attribute its part in the process and point to the original.
Comment 16 Kelson [Emmanuel Engelhart] 2014-09-26 01:10:59 UTC
@Sj Interesting new approach. Would be interesting to get a feedback from dev/op people about this approach.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links